Ask Your Question
0

packstack --allinone giving error

asked 2014-02-03 23:11:31 -0500

anonymous user

Anonymous

I've using Quick Start to install openstack havana on my linux RHEL server. http://openstack.redhat.com/Quickstart

When I run the command "packstack --allinone", it gives error

ERROR : Failed to set EPEL repo on host 9.118.252.191: RPM file seems to be installed, but appropriate repo file is probably missing in /etc/yum.repos.d/ Please check log file /var/tmp/packstack/20140204-032308-PbhPii/openstack-setup.log for more information

Yes, I've installed epel RPM manually, can anybody tell me how to update /etc/yum.repos.d/ to remove this error.

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2014-02-07 06:08:59 -0500

So packstack tries to see if epel-release is installed and if not will install it if required. Now if you have the epel repo enabled not through the epel-release rpm then packstack might not notice and encounter a conflict when it tries to setup epel? Could you remove epel repo setup from your machine and let packstack enable it?

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

Stats

Asked: 2014-02-03 23:11:31 -0500

Seen: 1,891 times

Last updated: Feb 07 '14